[Svn] [roundcube/roundcubemail] 278b46: password plugin: better error message on constrain...

GitHub noreply at github.com
Fri Apr 21 10:39:51 CEST 2017


  Branch: refs/heads/master
  Home:   https://github.com/roundcube/roundcubemail
  Commit: 278b46a99d6918df53f87ef185e1ed7c18e7bc66
      https://github.com/roundcube/roundcubemail/commit/278b46a99d6918df53f87ef185e1ed7c18e7bc66
  Author: Torkel Bjørnson-Langen <torbjo at users.noreply.github.com>
  Date:   2017-04-21 (Fri, 21 Apr 2017)

  Changed paths:
    M plugins/password/drivers/ldap_simple.php
    M plugins/password/localization/en_US.inc
    M plugins/password/password.php

  Log Message:
  -----------
  password plugin: better error message on constraint violation (#5727)

If the password policy on the ldap server is violated when changing
password, report error as "constraint violation" instead of the
misleading "connection error".

Only tested with OpenLDAP (v2.4).




More information about the svn mailing list